Install lua for Scribuntu
authorTom Hughes <tom@compton.nu>
Sun, 29 Jul 2018 12:17:53 +0000 (13:17 +0100)
committerTom Hughes <tom@compton.nu>
Sun, 29 Jul 2018 12:17:53 +0000 (13:17 +0100)
cookbooks/wiki/recipes/default.rb
cookbooks/wiki/templates/default/mw-ext-Scribunto.inc.php.erb

index 322612d2973ff2184356a5d38d34a75dca5466b2..a5b5a80982a73166f16a9b94fffd2cab99ceb5c9 100644 (file)
@@ -23,6 +23,8 @@ include_recipe "mediawiki"
 
 passwords = data_bag_item("wiki", "passwords")
 
 
 passwords = data_bag_item("wiki", "passwords")
 
+package "lua5.1" # newer versions do not work with Scribuntu!
+
 apache_site "default" do
   action [:disable]
 end
 apache_site "default" do
   action [:disable]
 end
index 2d974f55f55d6b01759810d1b6bc98e8d4887592..4c9eb99adc2eb64c87b9e3fb54fafac92f616998 100644 (file)
@@ -3,6 +3,12 @@
 
 wfLoadExtension('Scribunto');
 
 
 wfLoadExtension('Scribunto');
 
+// Use standalone mode
+$wgScribuntoDefaultEngine = 'luastandalone';
+
+// Set path to lua interpreter
+$wgScribuntoEngineConf['luastandalone']['luaPath'] = '/usr/bin/lua';
+        
 // Enable syntax highlighting
 $wgScribuntoUseGeSHi = true;
 
 // Enable syntax highlighting
 $wgScribuntoUseGeSHi = true;